// ChildView.cpp : implementation of the CChildView class
//

#include "stdafx.h"
#include "Hexagons.h"
#include "ChildView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CChildView

CChildView::CChildView()
{
	bMapToDraw = false;
}

CChildView::~CChildView()
{
}


BEGIN_MESSAGE_MAP(CChildView, CWnd)
	ON_WM_PAINT()
	ON_COMMAND(ID_HEXAGON_DRAW, &CChildView::OnHexagonDraw)
END_MESSAGE_MAP()



// CChildView message handlers

BOOL CChildView::PreCreateWindow(CREATESTRUCT& cs) 
{
	if (!CWnd::PreCreateWindow(cs))
		return FALSE;

	cs.dwExStyle |= WS_EX_CLIENTEDGE;
	cs.style &= ~WS_BORDER;
	cs.lpszClass = AfxRegisterWndClass(CS_HREDRAW|CS_VREDRAW|CS_DBLCLKS, 
		::LoadCursor(NULL, IDC_ARROW), reinterpret_cast<HBRUSH>(COLOR_WINDOW+1), NULL);

	return TRUE;
}

void CChildView::OnPaint() 
{
	//message handler code 
	if (bMapToDraw)
		drawMap();

}


void CChildView::OnHexagonDraw()
{
	drawMap();
	bMapToDraw = true;
}

void CChildView::drawMap()
{
   Hexagon obj;
   CPoint point(200, 200);
   Dimensions dStep;
   double hexagonSide = 40;

//**** first row
   dStep = obj.draw(this, point, hexagonSide);
   point.x += dStep.width;
   dStep = obj.draw(this, point, hexagonSide);
   point.x += dStep.width;
   dStep = obj.draw(this, point, hexagonSide);

//**** second row
   point.x = 200 + dStep.r; 
   point.y += dStep.height - dStep.h;
   dStep = obj.draw(this, point, hexagonSide);
   point.x += dStep.width;
   dStep = obj.draw(this, point, hexagonSide);
   point.x += dStep.width;
   dStep = obj.draw(this, point, hexagonSide);
}

