#include "StdAfx.h"
#include "Hexagon.h"
#include <math.h>

Hexagon::Hexagon(void)
{
}

Hexagon::~Hexagon(void)
{
}

Dimensions Hexagon::draw(CWnd* pntWnd, 
	CPoint crdSouthEast, double hexagonSide)
{
   CClientDC dc(pntWnd);
   Dimensions dResult;
   CPoint m_StartPoint = crdSouthEast;
   CPoint m_EndPoint = crdSouthEast;
   computeHexagonQuantities(hexagonSide);

   m_StartPoint.x -= int(ceil(r));
   m_EndPoint.y -= int(ceil(h)); 

   dc.MoveTo(m_StartPoint);
   dc.LineTo(m_EndPoint);
  
   m_EndPoint.y -= int(ceil(s)); 
   dc.LineTo(m_EndPoint);

   m_EndPoint.y -= int(ceil(h)); 
   m_EndPoint.x -= int(ceil(r)); 
   dc.LineTo(m_EndPoint);

   m_EndPoint.y += int(ceil(h)); 
   m_EndPoint.x -= int(ceil(r)); 
   dc.LineTo(m_EndPoint);

   m_EndPoint.y += int(ceil(s)); 
   dc.LineTo(m_EndPoint);

   m_EndPoint.y += int(ceil(h)); 
   m_EndPoint.x += int(ceil(r)); 
   dc.LineTo(m_EndPoint);

   dResult.height = int(ceil(b));
   dResult.width = int(ceil(a));
   dResult.h = int(ceil(h));
   dResult.r = int(ceil(r));

   return dResult;
}

void Hexagon::computeHexagonQuantities(double hexagonSide)
{
   s = hexagonSide;
   h = sin(30*PI/180)*s;
   r = cos(30*PI/180)*s;
   b = s + 2*h;
   a = 2*r;
}
