#ifndef WORD_H
#define WORD_H

//class Word header file
//this class holds one and only one word at a time
//this class holds an alphabetic string
//this class is used for overloading the stream operator >>

#include <string>


class Word 
{
	friend std::ifstream & operator>>(std::ifstream &is, Word &nextWord);

private: 
	std::string sWord; //keeps the word held by the current Word object
	static std::string::size_type maxWordLen; //keeps the longest length of all the words

public:
	std::string getWord();
	std::string::size_type getMaxWordLen(); 
	void setMaxWordLen(); //if sWord.length > maxLen then maxLen = sWord.length

};

#endif